#!/bin/bash
#This script installs the liveSHOW software

#---- Declare path settings ----

SOURCE_APPFOLDER="SPIT_GPIO_App"
SOURCE_APPPATH=`dirname "$0"`

DEST_APPNAME="SPIT_GPIO"
DEST_APPFOLDER="$SOURCE_APPFOLDER"
DEST_APPSPATH="$HOME/.local/share/liveSHOWApps"

#Path to applications menu
DEST_MENUPATH="$HOME/.local/share/applications"
#Path to Desktop
desktopVar=$(cat $HOME/.config/user-dirs.dirs | grep "XDG_DESKTOP_DIR")
DEST_DESKTOPPATH="${desktopVar[@]/XDG_DESKTOP_DIR='"$HOME'/$HOME}"
DEST_DESKTOPPATH="${DEST_DESKTOPPATH[@]/'"'/''}"
#Path to autostart

DEST_AUTOSTARTPATH="$HOME/.config/autostart"

mkdir "$DEST_AUTOSTARTPATH"

DESKTOP_FILE="$DEST_APPSPATH/$DEST_APPFOLDER/$DEST_APPNAME.desktop"

#---- Copy desktop file to autostart ----

cp "$DESKTOP_FILE" "$DEST_AUTOSTARTPATH"
chmod +x $DEST_AUTOSTARTPATH/$DEST_APPNAME.desktop

echo "$DEST_APPNAME autostart enabled"
