#!/bin/bash
#This script installs the SPIT_GPIO software

#---- Declare path settings ----

SOURCE_APPFOLDER="SPIT_GPIO_App"
SOURCE_APPPATH=`dirname "$0"`

DEST_APPNAME="SPIT_GPIO"
DEST_APPFOLDER="$SOURCE_APPFOLDER"
DEST_APPSPATH="$HOME/.local/share/liveSHOWApps"

#Path to applications menu
DEST_MENUPATH="$HOME/.local/share/applications"
#Path to Desktop
desktopVar=$(cat $HOME/.config/user-dirs.dirs | grep "XDG_DESKTOP_DIR")
DEST_DESKTOPPATH="${desktopVar[@]/XDG_DESKTOP_DIR='"$HOME'/$HOME}"
DEST_DESKTOPPATH="${DEST_DESKTOPPATH[@]/'"'/''}"
#Path to autostart
DEST_AUTOSTARTPATH="$HOME/.config/autostart"

DESKTOP_FILE="$DEST_APPSPATH/$DEST_PATH/$DEST_APPNAME.desktop"

#---- Remove desktop file from autostart ----

rm $DEST_AUTOSTARTPATH/$DEST_APPNAME.desktop

echo "$DEST_APPNAME autostart disabled"
